c
c signal searching algorithms common
c *** WARNING ***
c must be preceded by the include file hec_par.inc
c
c the following variables are filled by all searching algorithms
c see also the comments in the main search routinr hec_search_evt
c
c for each event
c
c hec_s_chan(ic)   
c    .false. = no valid signal found in channel ic
c    .true.  = valid signal found in channel ic
c    if no algorithm selected, all .true.
c
c hec_s_result(ic, j)  
c    for a channel with valid signal, adc value of channel ic 
c    where j is a time slice index such that adc max is at j=3
c    for a channel with no valid signal, all zeros.
c    meaningful only if hec_s_chan(ic) is .true.
c
c hec_s_im(ic)
c    index of timeslice (i_t) of the adc max which is at j=3
c    in hec_s_result
c    meaningful only if hec_s_chan(ic) is .true., but not
c    meaningful for the dummy search algorithm (number 0)
c
c the following variables are filled by the package using the
c above variables
c
c hec_s_hit
c    .true. = at least one channel with valid signal
c    if no algorithm, then .true.
c
c hec_s_cells      
c    number of channels with valid signal
c    if no algorithm, this is equal to i_adc_used
c
c cumulative over a run
c
c hec_s_count(ic)  
c    number of events in which channel ic had a valid signal
c    if no algorithm, this is the number of events considered
c
c From work by D. Striegel
c
      logical hec_s_chan(i_adc_dim)
      real    hec_s_result(i_adc_dim, i_tim_dim)
      integer hec_s_im(i_adc_dim)
      logical hec_s_hit
      integer hec_s_cells, hec_s_count(i_adc_dim)
c      
      common /ssshec_s/ hec_s_chan, 
     +                  hec_s_result,
     +                  hec_s_im,
     +                  hec_s_hit, 
     +                  hec_s_cells, 
     +                  hec_s_count
