      subroutine hec_hvstat
c
c fill arrays ic_hvstat and ic_hv_known 
c
      implicit none
c
c include files
c
      include'hec_par.inc'
      include'hec_geo.inc'
      include'hec_hvpar.inc'
      include'hec_slow_pc.inc'
      include'hec_stats_epio.inc'              
      include'hec_hvstat.inc'
c
c local variables
c
      integer i, j, ic, i_mod, i_seg, i_pad
      real hvmin
      parameter (hvmin = 1790)   ! Hasko's limit 
c
c initialize ic_hv_stat to OK, ic_hv_known to false 
c
      call vzero(ic_hvstat,i_adc_dim)
      call vzero(ic_hv_known,i_adc_dim)
c
c do nothing if slow control bank absent
c
      if ( stat_slow.eq.0 ) return
c
c if HV slow control bank present, loop over HV modules and channels
c
      do i = 0 , nmodhv_cal_max-1
         do j = 1 , nchhv_cal_max
c
c find corresponding module and segment in calorimeter
c
            i_mod = hvtodb(i,j,1)
            i_seg = hvtodb(i,j,3)
c
            if (i_mod.ne.0.and.i_seg.ne.0) then
c
c if the HV channel is connected, find out adc #
c
               do i_pad = 1, i_pad_used
                  ic = dbtoic(i_mod,i_seg,i_pad)
                  if( ic. ne. 0)then
c                    
c set the channel to good/bad according to HV value
c
                     ic_hv_known(ic)=.true.
                     if( hv_cal_hv(i,j).lt.hvmin )then                        
                        ic_hvstat(ic)=ibset(ic_hvstat(ic),hvtodb(i,j,2))
                     endif
                  endif
               enddo
c
            endif
c
         enddo
      enddo
c
c print out list of adc channels affected by HV problems
c
c      do i = 1,i_adc_used
c         if(ic_hv_known(i).and.ic_hvstat(i).ne.0)then
c            print*,'HV problems for channel',i
c         endif
c      enddo
c
      return
      end






