      subroutine user_ana1
c
c user pass 1 analysis
c
c this example user_ana1 routine, at the end of the run, does the
c following:
c - compute the covariance of the first time sampling pedestal 
c   value between the user selected adc channel and the one 
c   above in eta, and print the result
c
      implicit none
c
c user internal variables common
c this is where are the variables used to compute the first time
c sampling pedestal covariance between the picked channel and 
c the one above in eta
c
      include'./user_common.inc'
c
c local variable declarations
c
      real cov
c
c compute the covariance of the first time sampling pedestal 
c value between the user selected adc channel and the one 
c above in eta
c
      cov = 0.
      if (m_0 .gt. 0) then
        cov = dm_2ab/real(m_0) - 
     +        dm_1a*dm_1b/real(m_0**2)
      endif
c
c print the covariance
c
      print *, 
     +' two channel cluster 1st time samling covariance (adc) = ', cov
c
      print *, ' *** user pass 1 analysis done'
c
      end
